;=======================================
;  CVASM16 INCLUDE FILE for the 16HV540
;      Copyright (c) 2001 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04/23/01
;	NOTE: To access the unique register 'OPTION2',
;	Move the desired value to the 'W' register,
;	then execute the TRIS opcode.
;	EXAMPLE:
;		MOV	W,#AA
;		TRIS	OPTION2
;=======================================

                     DEVCODE    00540h      
                     ROMSIZE    512         
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    0           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
OPTION2              EQU        0007h


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
PCF                  EQU        STATUS.7    
PA1                  EQU        STATUS.6    
PA0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_CP_ON               EQU        0FF7h       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FFBh       
_LP_OSC              EQU        0FFCh       
_XT_OSC              EQU        0FFDh       
_HS_OSC              EQU        0FFEh       
_RC_OSC              EQU        0FFFh       
